package cn.iocoder.yudao.module.museums.enums;

import cn.iocoder.yudao.framework.common.exception.ErrorCode;

/**
 * Museums 错误码枚举类
 * <p>
 * museums 系统，使用 1-018-000-000 段
 */
public class ErrorCodeConstants {
    // ========== 标本管理 1-016-000-000 ==========
   public static final ErrorCode SPECIMEN_INFO_NOT_EXISTS = new ErrorCode(1-016-000-000, "标本管理不存在");

    // ========== 标本出库回库信息 1-016-001-000 ==========
    public static final ErrorCode SPECIMEN_OUTBOUND_NOT_EXISTS = new ErrorCode(1-016-001-000, "标本出库回库信息不存在");

    // ========== 博物馆照片组 1-016-002-000 ==========
    public static final ErrorCode PHOTO_GROUP_NOT_EXISTS = new ErrorCode(1-016-002-000, "博物馆照片组不存在");

    // ========== 博物馆文件管理 1-016-003-000 ==========
    public static final ErrorCode DOCUMENT_NOT_EXISTS = new ErrorCode(1-016-003-000, "博物馆文件管理不存在");

    // ========== 博物馆照片 1-016-004-000 ==========
    public static final ErrorCode PHOTOS_NOT_EXISTS = new ErrorCode(1-016-004-000, "博物馆照片不存在");
}